#include <stdint.h>
#include <unistd.h>
#include <byteswap.h>
#include <stdlib.h>

#ifndef _LOWLEVEL_H
#define _LOWLEVEL_H 1
/* Reads 8bit unsigned word */
uint8_t read_u1(int fd);

/* Reads 16bit unsigned word */
uint16_t read_u2(int fd);

/* Reads 32bit unsigned word */
uint32_t read_u4(int fd);

/* Allocate memory and remember */
#if defined CLEAN_MEMORY
void *Malloc(size_t size);
void Malloc_init(int size);
void Malloc_done();
#else
#define Malloc malloc
#define Malloc_init(size)
#define Malloc_done()
#endif

#define newT(type) ((type *)Malloc((sizeof (type))))
#define newTC(type,cnt) ((type *)Malloc((sizeof (type)) * (cnt)))

#define ERROR(text, code) {fprintf(stderr, (text)); return (code);}

#endif

/* vim: autoindent expandtab tabstop=4 shiftwidth=4
*/
